Skip to main content
`Ctrl`+`K`

# PEPSetTarget

Sets the value of the target.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetTarget(PEP pep,PetscScalar target)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- target - the value of the target

## Options Database Key

- -pep_target target - the value of the target

## Notes

The target is a scalar value used to determine the portion of the spectrum of interest. It is used in combination with `PEPSetWhichEigenpairs()`.

When PETSc is built with real scalars, it is not possible to specify a complex target.

In the case of complex scalars, a complex value can be provided in the command line with `[+/-][realnumber][+/-]realnumberi` with no spaces, e.g. `-pep_target 1.0+2.0i`.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetTarget()`, `PEPSetWhichEigenpairs()`

## Level

intermediate

## Location

src/pep/interface/pepbasic.c

## Examples

src/pep/tutorials/ex50.c
src/pep/tutorials/ex40.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages